Home
Intro
Docs
Download
Contact
Developer
License
Beany

Learning Java
Check out my book:
Learning Java,
O'Reilly & Associates

Compatability and Versions

BeanShell Compatability and Versions

BeanShell is compatible with Java versions 1.1.x and later. However certain features are only available with later versions. In particular:

  • Java 1.1 Basic BeanShell Interpreter. If the javax.swing package is supplied in the classpath then the JDK1.2 features below become available.
  • Java 1.2 Swing based GUI Desktop is available. All AWT and Swing event listeners are supported by bsh scripted objects.
  • Java 1.3 Full lanugage support. Scripted objects can implement any Java interface types and even listeners.

Note that the basic syntax of BeanShell remains the same on all versions of Java. This includes "Java 5.0" style syntax such as the enhanced for-loop, auto-boxing, etc. These features are part of the BeanShell language syntax and do not depend on the hosting Java VM.